## org.hibernate.cache.spi.entry
Class CollectionCacheEntry

    java.lang.Object
      org.hibernate.cache.spi.entry.CollectionCacheEntry

All Implemented Interfaces:
  Serializable

    public class CollectionCacheEntry

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`CollectionCacheEntry(PersistentCollection collection, CollectionPersister persister)`

Method Summary
`void` `assemble(PersistentCollection collection, CollectionPersister persister, Object owner)`
`Serializable[]` `getState()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionCacheEntry

    public CollectionCacheEntry(PersistentCollection collection,
                                CollectionPersister persister)

Method Detail

### getState

    public Serializable[] getState()

### assemble

    public void assemble(PersistentCollection collection,
                         CollectionPersister persister,
                         Object owner)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.